<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="ls-form">

  <div class="col-12 alert alert-info" role="alert">
    <fa-icon
      class="pe-2"
      [icon]="infoIcon">
    </fa-icon>
    {{ messages.SUPERVISORS_INFO }}
  </div>

  <label [innerText]="messages.USER_PERMISSION_TAB_SUB_TITLE"></label>

  <div class="d-flex flex-row">
    <app-search-bar
      class="search-input"
      (debouncedKeyup)="onSearchKeyUp($event)"
      [placeholder]="commonMessages.SEARCH_USER">
    </app-search-bar>
  </div>

  <app-double-list
    tintColor="green"
    [leftColumnHeader]="messages.USERS"
    [rightColumnHeader]="messages.SUPERVISORS"
    [selectedElements]="supervisors"
    [retrieveCandidateElementsFn]="requestDeskSupervisorsFn"
    [stringifyElementFn]="stringifyUserFn"
    [unmodifiableElements]="unmodifiableElements"
    #doubleListComponent>
  </app-double-list>

</div>
